Subject: bug#40725: 27.0.91; Tutorial reports false positive key rebindings

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Apr 2020 16:32:32 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Fri, 24 Apr 2020 14:47:44 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> 
> 24 apr. 2020 kl. 14.13 skrev Eli Zaretskii <[email-masked]>:
> 
> > I didn't say "a good reason", I said "if we can solve the issue in
> > some other way".
> 
> Why does renaming files, a quite uncomplicated operation, have to be the last resort?

I thought I explained why.

> > What problems are those?  You mentioned grepping the files, which can
> > be easily handled by excluding the tutorials directory from the
> > search.  Are there any other problems we should consider?
> 
> I didn't mention grepping (scanning files can be done in multiple ways), but why would I or anyone else need to perform such contortions every time to compensate for a problem that is so easily solved once and for all by simply giving the files better names?

Because renaming comes with a price I'd rather not pay.

> > "Gracefully" is in the eyes of the beholder.  It's true the support
> > for renames improved in the recent years, but there are still commands
> > that either fails or need special invocation methods to work across
> > renames.  So it's still a source of inconvenience and occasional
> > failure or mistaken conclusions, and I'd like to avoid that if
> > possible.
> 
> You are making a mountain out of a molehill.

It isn't a molehill for me.  I need to search VCS history quite a lot.

> It's not going to be a problem; this is not CVS. Let's not invent difficulties.

I'm not inventing anything, the problems are real.